Missing libpython3.6m.so.1.0 when I try to tun arm-none-eabi-gdb (Ubuntu 22.04)

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Missing libpython3.6m.so.1.0 when I try to tun arm-none-eabi-gdb (Ubuntu 22.04)

Jump to solution
4,140 Views
hfranco
Contributor II

Hello,

I am trying to run arm-none-eabi-gdb (gcc-arm-11.2-2022.02-x86_64-arm-none-eabi) with JLink from Segger to debug my iMX8 (SDK_2_9_0_MIMX8QM6xxxFF). I'm using Ubuntu 22.04 and my python installed is 3.10.
I'm getting this error:

$ arm-none-eabi-gdb igpio_led_output_m40.elf
arm-none-eabi-gdb: error while loading shared libraries: libpython3.6m.so.1.0: cannot open shared object file: No such file or directory

Do any of you knows how to solve this issue? 

Thanks!

0 Kudos
Reply
1 Solution
4,123 Views
hfranco
Contributor II

Unfortunately, this library isn't available for ubuntu 22.04. I had to compile it manually, this guide fixed it: https://community.arm.com/support-forums/f/compilers-and-libraries-forum/52805/gcc-arm-11-2-2022-02-...

Thank you!

View solution in original post

0 Kudos
Reply
2 Replies
4,128 Views
Bio_TICFSL
NXP TechSupport
NXP TechSupport

Hello hfranco,

 

It looks like you need to install the library for debug it first:

libpython3.6-dev

 

Regards

0 Kudos
Reply
4,124 Views
hfranco
Contributor II

Unfortunately, this library isn't available for ubuntu 22.04. I had to compile it manually, this guide fixed it: https://community.arm.com/support-forums/f/compilers-and-libraries-forum/52805/gcc-arm-11-2-2022-02-...

Thank you!

0 Kudos
Reply